// LzmaRegister.cpp

#include "StdAfx.h"

#include "7zip/Common/RegisterCodec.h"

#include "7zip/Compress/LzmaDecoder.h"

#ifndef EXTRACT_ONLY
#include "7zip/Compress/LzmaEncoder.h"
#endif

namespace NCompress {
namespace NLzma {

REGISTER_CODEC_E(LZMA,
    CDecoder(),
    CEncoder(),
    0x30101,
    "LZMA")

}}
